Use Case 2: Zakup produktu pakowanego za pomocą karty
=====================

**Aktor podstawowy:** Klient


Główni odbiorcy i oczekiwania względem systemu:
-----------------------------------------------

 - Klient: Oczekuje wydania zakupionego produktu

 - Właścieiel automatu: Oczekuje że automat wyda dokładnie jeden opłacony przez klienta produkt

Warunki wstępne:
----------------
Klient posiada kartę płatniczą.

Terminal płatniczy jest sprawny.

Automat nie jest pusty.

Warunki końcowe:
----------------
Klient odebrał opłacony produkt

Scenariusz główny (ścieżka podstawowa):
---------------------------------------

 1. Klient wybiera produkt <!-- np. 1. Klient wkłada kartę do bankomatu. -->
 2. System informuje klienta o cenie wybranego produktu <!-- np. 2. System prosi o podanie pinu. -->
 3. Klient wybiera płatność kartą i dokonuje płatności <!-- np. 3. Klient wprowadza pin.) -->
 4. Po pomyślnym dokonaniu transakcji produkt zostaje wydany klientowi
 5. Klient odbiera zakupiony produkt

Rozszerzenia (ścieżki alternatywne):
------------------------------------

 *a. Zawieszenie/Błąd systemu <!-- rozszerzenie *a może wystąpić w dowolnym kroku -->

   1. System wyświetla informacje o błędzie
   2. System zapisuje błąd i wysyła komunikat o błędzie do serwisanta
   3. System resetuje sie

 1a. Brak wybranego produktu

    1. System wyświetla informację o braku wybranego produktu 
    2. System wysyła informację o brakach do magazynu

 3a. Awaria terminalu płatniczego

    1. System wyświetla informacje o usterce terminala płatniczego
    2. System wysyła informację o błędzie do serwisu

 3b. Brak wystarczającej liczby środków na koncie klienta <!-- np. 3a. Nieprawidłowy pin -->

   1. System informuje klienta o braku wystarczającej liczby pieniędzy na koncie klienta
   2. System przerywa transakcje

 4a. Produkt zablokował się podczas wydawania
   
   1. System informuje klienta o błędzie
   2. System wysyła informację o błędzie do serwisu

Wymagania specjalne:
--------------------

 -  Interfejs użytkownika musi być dostępny w języku polskim i angielskim

 -  Ceny produktów wyświetlane w euro i w polskich złotych

 -  Ceny produktów nie wymagające wprowadzania PINu

Wymagania technologiczne oraz ograniczenia na wprowadzane dane:
---------------------------------------------------------------

 *a. Ekran do wyświetlania ceny i innych informacji o produkcie

 *b. Panel dotykowy do obsługi automatu

 1a. Klient może wybrać dokładnie jeden produkt na raz

 3a. Automat posiada terminal płatniczy


Kwestie otwarte:
----------------

 - Ułatwienia obsługi automatu dla osób niewidomych?

 - Możliwość płatności Blikiem?
