format 224

pseudostatecanvas 128084 pseudostate_ref 128084 // initial 
   xyz 83 39 2000
end
statecanvas 128130 state_ref 128002 // Stan Poczatkowy
  
  xyzwh 34 106 2006 113 33
end
statecanvas 128212 state_ref 128212 // Produkt Wybrany
  
  xyzwh 32 206 2000 115 33
end
statecanvas 128340 state_ref 128340 // Produkt Oplacony
  
  xyzwh 372 451 2000 117 33
end
statecanvas 128468 state_ref 128468 // Karta Wczytana
  
  xyzwh 568 207 2000 137 33
end
pseudostatecanvas 128596 pseudostate_ref 128212 // final Produkt Wydany
   xyz 417 609 2000
end
pseudostatecanvas 128980 pseudostate_ref 128340 // final Zakup Anulowany
   xyz 247 688 2000
end
statecanvas 129876 state_ref 128596 // Oczekiwanie na Zaplate
  
  xyzwh 249 205 2000 149 33
end
note 134356 "wrzuconaKwota < cenaProduktu "
  xyzwh 266 26 2006 123 49
note 134484 "srodkiNaKoncie < cenaProduktu"
  xyzwh 644 498 2000 119 47
note 134612 "wrzuconaKwota >= cenaProduktu"
  xyzwh 270 365 2000 103 65
transitioncanvas 128258 transition_ref 128002 // wybierzProdukt
  
  from ref 128130 z 2007 label "wybierzProdukt" xyz 51 164 3000 to ref 128212
  write_horizontally default show_definition default drawing_language default
end
transitioncanvas 128724 transition_ref 128084 // wydajProdukt
  
  from ref 128340 z 2001 label "wydajProdukt" xyz 443 539 2001 to ref 128596
  write_horizontally default show_definition default drawing_language default
end
transitioncanvas 128852 transition_ref 128212 // pobierzSrodki
  
  from ref 128468 z 2001 label "pobierzSrodki" xyz 458 331 2001 to ref 128340
  write_horizontally default show_definition default drawing_language default
end
transitioncanvas 129108 transition_ref 128340 // odrzucTransakcje
  
  from ref 128468 z 2001 label "odrzucTransakcje" max_width 14 xyz 644 476 2001 to point 634 640
  line 134228 z 2001 to point 636 700
  line 129236 z 2001 to ref 128980
  write_horizontally default show_definition default drawing_language default
end
transitioncanvas 130644 transition_ref 128724 // oplacProdukt
  decenter_begin 393
  
  from ref 128212 z 2001 label "oplacProdukt" xyz 165 213 2001 to ref 129876
  write_horizontally default show_definition default drawing_language default
end
transitioncanvas 132052 transition_ref 129108 // wrzucGotowke
  decenter_begin 906
  decenter_end 134
  
  from ref 129876 z 2001 label "wrzucGotowke" max_width 14 xyz 289 79 2001 to point 380 96
  line 132180 z 2001 to point 264 95
  line 132308 z 2001 to ref 129876
  write_horizontally default show_definition default drawing_language default
end
transitioncanvas 132564 transition_ref 129236 // przylozKarteDoTerminala
  
  from ref 129876 z 2001 label "przylozKarteDoTerminala" xyz 425.5 202.5 2001 to ref 128468
  write_horizontally default show_definition default drawing_language default
end
transitioncanvas 132692 transition_ref 129364 // wrzucGotowke
  decenter_begin 865
  decenter_end 75
  
  from ref 129876 z 2001 label "wrzucGotowke" max_width 14 xyz 279.5 354 2001 to point 378 443
  line 134740 z 2001 to ref 128340
  write_horizontally default show_definition default drawing_language default
end
transitioncanvas 132820 transition_ref 129492 // anulujZakup
  decenter_begin 79
  
  from ref 129876 z 2001 label "anulujZakup" xyz 186.5 452 2001 to ref 128980
  write_horizontally default show_definition default drawing_language default
end
end
