Use Case 4: Zakup przygotowywanego produktu za pomocą karty
=====================

**Aktor podstawowy:** Klient


Główni odbiorcy i oczekiwania względem systemu:
-----------------------------------------------

 - Klient: chęć zakupu przygotowanego towaru


Warunki wstępne:
----------------

Klient posiada niezablokowaną kartę płatniczą z środkamy wystraczającym na pokrycie kosztu zakupu.
Automat posiada sprawny terminal płatniczy.
Automat posiada towar na stanie.


Warunki końcowe:
----------------

Klient odbiera przygotowany posiłek za który zapłacił

Scenariusz główny (ścieżka podstawowa):
---------------------------------------

 1. Klient wybiera produkt, który zamierza zakupić
 2. Automat podaje informacje o kwocie do zapłaty oraz pyta o sposób płatności
 3. Klient wybiera opcję płatności kartą oraz dokonuje płatności zbliżeniowej
 4. Automat po zaksięgowaniu płatności przystępuje do przygotowania posiłku
 5. Po przygotowaniu posiłku automat wydaje towar

Rozszerzenia (ścieżki alternatywne):
------------------------------------

 1a. Towaru nie ma na stanie

   1. Klient jest informowany o braku towaru na stanie oraz jest proszony o wybór produktu

 3a. Płatność kartą została odrzucona

   1. Klient jest informowany o niepowodzeniu transakcji
   2. Zakup towaru zostaje anulowany


Wymagania specjalne:
--------------------

 - Interfejs użytkownika powinien pokazywać wszystkie dostępne produkty 

 - Ceny produktów powinny być pokazane w polskich złotych

 - Towar powinien być na stanie

Wymagania technologiczne oraz ograniczenia na wprowadzane dane:
---------------------------------------------------------------

 1a. Można zakupić tylko jeden produkt na raz
 
 3a. Automat posiada sprawny terminal płatniczy

Kwestie otwarte:
----------------

 - Czy dopuszczamy płatności kartą obcą walutą?

 - Czy dopuszczamy "mieszane" płatności (część gotówką, część kartą)?

